clang-tools 10.0.0

Functions
clang::ast_matchers Namespace Reference

## Functions
| AST_POLYMORPHIC_MATCHER (isInAbseilFile, AST_POLYMORPHIC_SUPPORTED_TYPES(Decl, Stmt, TypeLoc, NestedNameSpecifierLoc))
| Matches AST nodes that were found within Abseil files. More...
| AST_MATCHER (Expr, isMacroID)

## Function Documentation

## ◆ AST_MATCHER()

clang::ast_matchers::AST_MATCHER | ( | Expr | ,
|  | isMacroID |
| ) |  |

Definition at line 18 of file PreferIsaOrDynCastInConditionalsCheck.cpp.

## ◆ AST_POLYMORPHIC_MATCHER()

clang::ast_matchers::AST_POLYMORPHIC_MATCHER | ( | isInAbseilFile | ,
|  | AST_POLYMORPHIC_SUPPORTED_TYPES(Decl, Stmt, TypeLoc, NestedNameSpecifierLoc) |
| ) |  |

Matches AST nodes that were found within Abseil files.

Example matches Y but not X (matcher = cxxRecordDecl(isInAbseilFile())

#include "absl/strings/internal-file.h"
class X {};

absl/strings/internal-file.h:

class Y {};

Usable as: Matcher<Decl>, Matcher<Stmt>, Matcher<TypeLoc>, Matcher<NestedNameSpecifierLoc>

Definition at line 31 of file AbseilMatcher.h.